%global modulename parallel-transform

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-parallel-transform
Version:        1.1.0
Release:        1%{?dist}
Summary:        Transform stream that allows you to run your transforms in parallel without changing the order

License:        MIT
URL:            https://github.com/mafintosh/parallel-transform#readme
Source0:        https://registry.npmjs.org/parallel-transform/-/parallel-transform-1.1.0.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(cyclist) >= 0.2.2 with npmlib(cyclist) < 0.3.0))
BuildRequires:  ((npmlib(inherits) >= 2.0.3 with npmlib(inherits) < 3.0.0))
BuildRequires:  ((npmlib(readable-stream) >= 2.1.5 with npmlib(readable-stream) < 3.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Transform stream that allows you to run your transforms in parallel without changing the order

%package 1.1.0
Summary:        Transform stream that allows you to run your transforms in parallel without changing the order


%description 1.1.0
Transform stream that allows you to run your transforms in parallel without changing the order

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .npmignore %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 1.1.0
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 1.1.0-1
- Package automatically generated by npm2srpm
